Package org.apache.felix.hc.core.impl.filter

## Annotation Type ServiceUnavailableFilter.Config

    public static @interface ServiceUnavailableFilter.Config

### Field Summary

Fields
`static String` `RESPONSE_TEXT_DEFAULT`

### Required Element Summary

Required Elements
`String` `osgi_http_whiteboard_filter_regex`

### Optional Element Summary

Optional Elements
`boolean` `autoDisableFilter`
`boolean` `avoid404DuringStartup`
`boolean` `includeExecutionResult`
`String` `osgi_http_whiteboard_context_select`
`String` `responseTextFor503`
`int` `service_ranking`
`org.apache.felix.hc.api.Result.Status` `statusFor503`
`String[]` `tags`
`String` `webconsole_configurationFactory_nameHint`

### Field Detail

#### RESPONSE_TEXT_DEFAULT

    static final String RESPONSE_TEXT_DEFAULT

### Element Detail

#### osgi_http_whiteboard_filter_regex

    String osgi_http_whiteboard_filter_regex

#### osgi_http_whiteboard_context_select

    String osgi_http_whiteboard_context_select

Default:
  "(osgi.http.whiteboard.context.name=*)"

#### tags

    String[] tags

Default:
  {}

#### statusFor503

    org.apache.felix.hc.api.Result.Status statusFor503

Default:
  org.apache.felix.hc.api.Result.Status.TEMPORARILY_UNAVAILABLE

#### includeExecutionResult

    boolean includeExecutionResult

Default:
  false

#### responseTextFor503

    String responseTextFor503

Default:
  "<html><head><title>Service Unavailable</title><meta http-equiv=\"refresh\" content=\"5\"></head><body><strong>Service Unavailable</strong></body></html>"

#### avoid404DuringStartup

    boolean avoid404DuringStartup

Default:
  true

#### autoDisableFilter

    boolean autoDisableFilter

Default:
  false

#### service_ranking

    int service_ranking

Default:
  2147483647

#### webconsole_configurationFactory_nameHint

    String webconsole_configurationFactory_nameHint

Default:
  "Send 503 for tags {tags} at status {statusFor503} (and worse) for path(s) {osgi.http.whiteboard.filter.regex}"